Page MenuHomePhabricator

Restrict access to the testing URL for the new book rendering workflow
Closed, ResolvedPublic2 Story Points

Description

Currently, access to the URL used to test the Remex + Electron based book rendering workflow (Special:RenderBook/test) is unrestricted.

Context

The original conversation between @Jdlrobson and @Tgr starts here: T175868#3680538

AC

  • Restrict access to the special page to the Readers Web/Infra engineers and PO (@ovasileva)

Solutions

  1. @Tgr submitted a change as part of T175868, which restricts access to the URL to users with "(WMF)" in their name
    • Per T175868#3681307, you have to be an admin to register names with WMF in 'em
  2. In T175868#3686340, @Tgr explained how to create a new group with the "testpdf" right.
    • This seems a little more involved but superior to the above in that it provides finer grained access control. OTOH, do we really need that?
  3. In T178289#3688851, @Jdlrobson suggested that we should simply disable the testing URL until we're ready to test the concatenation feature
  4. Move the logic from @Tgr's change to the Collection extension (a hybrid of @Tgr's change and @Jdlrobson's change)

Event Timeline

phuedx created this task.Oct 16 2017, 1:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2017, 1:06 PM

AFAICT this is high priority as the URL allows users access to an experimental workflow that might result in the Electron-based render service hanging /cc @ovasileva

@Jdlrobson: Is this the case?

Change 384601 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Collection@master] Disable special page usage until further notice

https://gerrit.wikimedia.org/r/384601

@phuedx correct. A third option is to disable the registration of the code in the special page until we have time to test it more thoroughly.

Really it comes down to how quickly we need to be able to turn this on and off and what the timeline is like for fixing all the associated bugs in T178095.
TBH I'm leaning towards the hacky option (https://gerrit.wikimedia.org/r/#/c/377929/) if we're planning to fix T178095 soon (e.g. within next week or 2).

If we're not, we should disable the special page in code right away and do the more complicated but thorough work of introducing a test group.

I'm sensing we might be leaning towards fixing this later so I'd recommend:
Merging and SWATTing https://gerrit.wikimedia.org/r/384601 and creating a new task around accessing the page until we think of something better (and also who knows.. might turn out that YAGNI).

Pulling in for visibility as I am working on this and we need to do something this sprint.

@ovasileva: With T178289#3688851 in mind, this also needs your input.

From my POV, we (Readers Web) have got enough to be getting on with this week and we're OOO next week at the offsite. It's unlikely that we'll have enough bandwidth to do option #2 right now, so I'd recommend that we did option #1. I prefer option #1 to fully disabling the special page because we haven't yet fully fixed and tested the workflow (which is causing a little confusion on my part).

phuedx updated the task description. (Show Details)Oct 17 2017, 11:52 AM

@phuedx - option #1 seems fine

ovasileva triaged this task as High priority.Oct 17 2017, 4:46 PM
phuedx updated the task description. (Show Details)Oct 17 2017, 5:00 PM
ovasileva set the point value for this task to 2.Oct 17 2017, 5:08 PM

Once https://gerrit.wikimedia.org/r/384601 is merged we'll need to swat it. If this happens before branch cut (today?) then that will save us some time!!

Change 384601 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Disable special page usage until further notice

https://gerrit.wikimedia.org/r/384601

Change 384903 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Collection@wmf/1.31.0-wmf.4] Disable special page usage until further notice

https://gerrit.wikimedia.org/r/384903

The above patch should be swatted at first available opportunity. If time also swat to the 1.31.0-wmf.3 branch.

Change 385005 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Collection@wmf/1.31.0-wmf.3] Disable special page usage until further notice

https://gerrit.wikimedia.org/r/385005

This is on the deploy calendar for today.

Change 384903 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.31.0-wmf.4] Disable special page usage until further notice

https://gerrit.wikimedia.org/r/384903

Change 385005 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.31.0-wmf.3] Disable special page usage until further notice

https://gerrit.wikimedia.org/r/385005

Jdlrobson closed this task as Resolved.Oct 18 2017, 11:45 PM
Jdlrobson claimed this task.
Jdlrobson removed a project: Patch-For-Review.

Page is disabled so signing off...